OpenThreads::ScopedLock< M > Class Template Reference

`#include <ScopedLock>`

## Public Member Functions

| ScopedLock (M &m)
| ~ScopedLock ()

## Constructor & Destructor Documentation

## ScopedLock()

template<class M>

OpenThreads::ScopedLock< M >::ScopedLock | ( | M & | m | ) |

inline explicit

## ~ScopedLock()

template<class M>

OpenThreads::ScopedLock< M >::~ScopedLock | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- ScopedLock